# Linux
AZPC_SYS = /usr/local/share/azprolog/system/pl/
RENAME   = mv
EXE_EX   =

# Windows
# AZPC_SYS = $(AZProlog)/system/pl/
# RENAME   = ren 
# EXE_EX   = .exe

default:
	azpc -p queens.pl /byte 
	azpc -p queens.pl $(AZPC_SYS)utility.pl $(AZPC_SYS)prologcgi.pl /fast /e queens.exe /no /dcurses
	azpc -p $(AZPC_SYS)puttxt.pl /e puttxt.exe /no
	$(RENAME) queens$(EXE_EX) queens.exe
	$(RENAME) puttxt$(EXE_EX) puttxt.exe
	chmod a+rw tmp
	rm -f *.c *.o mkaz

clean:
	rm -f queens.exe queens.b puttxt.exe
	rm -f *~ .*~
